// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "ui/UIAlignableElement.hpp"

namespace Dawn {
  class UIRectangle final : public UIAlignableElement {
    protected:
      void getSelfQuads(UICanvas &ctx) override;

    public:
      struct Color color = COLOR_WHITE;
      std::shared_ptr<Texture> texture = nullptr;
      glm::vec4 uv = glm::vec4(0,0,1,1);
  };
}